elftosb::EvalContext::SourceFileManager Class Referenceabstract

Abstract interface for a manager of source files. More...

`#include <EvalContext.h>`

Inheritance diagram for elftosb::EvalContext::SourceFileManager:
[legend]

## Public Member Functions

virtual bool | hasSourceFile (const std::string &name)=0
| Returns true if a source file with the name name exists.
virtual SourceFile * | getSourceFile (const std::string &name)=0
| Gets the requested source file.
virtual SourceFile * | getDefaultSourceFile ()=0
| Returns the default source file, or NULL if none is set.

## Detailed Description

Abstract interface for a manager of source files.

The documentation for this class was generated from the following file:

- EvalContext.h